import { ICTableFilters } from './CTableFilter';
import { ICTableDef, ICTableDefs, ICTableProps } from './ICTable';
export interface IDivSize {
    h: number;
    w: number;
}
/**
 * applyFilters does not affect original parameters. returns copied objects.
 */
export declare function applyFilters<K>(items: K[], filters: ICTableFilters, defs: ICTableDefs<K>, _tableId: string): K[];
export declare function getTextOfContent<K>(newItem: K, def: ICTableDef<K>, itemKey: keyof K): any;
export declare function CTable<K>(props: ICTableProps<K>): import("react/jsx-runtime").JSX.Element;
